/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

/**
 * MBean interface.
 * @todo This resource should not implement state manageable because it has no MBean/Service associated but codes stays.
 */
public interface JDBCResourceMBean
      extends
         org.jboss.management.j2ee.StateManageable,
         org.jboss.management.j2ee.J2EEResourceMBean
{

   java.lang.String[] getjdbcDataSources();

   java.lang.String getjdbcDataSource(int pIndex);

   void addChild(javax.management.ObjectName pChild);

   void removeChild(javax.management.ObjectName pChild);

}
